<?php
include_once("_dirinfo.php");
include_once(PATH_TO_ROOT."init.php");
include_once(PATH_TO_ROOT."_class/class.Extjs_grid.php");

	
$db->ChangeDatabase(DB_WARPIT_WEBCATI_BASE);


$grid = new MakeGrid('wupLanguagePack');
$grid->setMainTable('_PortalTranslationTabel ',DB_WARPIT_USERSPOOL)->setTitle("Language Pack - Portal");

//$grid->setReqUrl("webuserspool/_ajax/mails/ajax.SMTP_accounts.php");

$grid->addColumn('id')->header('ID')->hidden(true);
$grid->addColumn('area')->header('Area');
$grid->addColumn('langKey')->header('Key');
$grid->addColumn('si')->header('SI')->width(400)->editor('new Ext.form.TextField()');
$grid->addColumn('hr')->header('HR')->width(400)->editor('new Ext.form.TextField()');
$grid->addColumn('sr')->header('SR')->width(400)->editor('new Ext.form.TextField()');

echo $grid->createGrid();
echo "mainTabPanel.add(".$grid->getGridName().").show();"; 
?>